using System;
using System.CodeDom;
using System.Collections.Generic;
using System.IO;
using Microsoft.CSharp;
using Na.Sql;
using Na.Sql.ParseTree;

namespace BuilderTest
{
    class Program
    {
        // EntityBuilder̎gTv
        static void Main(string[] args)
        {
            if (args.Length < 1) {
                Console.WriteLine ("usage BuilderTest.exe <create table script> [namespace]");
                return;
            }

            string ns = args.Length > 1 ? args[1] : String.Empty;

            CodeCompileUnit unit = new EntityBuilder().Build(args[0], ns);

            StringWriter stringwriter = new StringWriter();

            // TvC#̃R[ho
            // VB̏ꍇ́AvoC_ύXĂ
            new CSharpCodeProvider().GenerateCodeFromCompileUnit(unit, stringwriter, null);
            string stringcode = stringwriter.ToString();
            stringwriter.Close();
            Console.WriteLine(stringcode);
        }
    }
}

